/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20140210-00 [Feb 10 2014]
 * Copyright (c) 2000 - 2014 Intel Corporation
 * 
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x0000036A (874)
 *     Revision         0x01
 *     Checksum         0x00
 *     OEM ID           "APPLE "
 *     OEM Table ID     "CpuPm"
 *     OEM Revision     0x00021500 (136448)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20140210 (538182160)
 */

DefinitionBlock ("ssdt.aml", "SSDT", 1, "APPLE ", "CpuPm", 0x00021500)
{
    External (\_PR_.CPU0, DeviceObj)
    External (\_PR_.CPU1, DeviceObj)
    External (\_PR_.CPU2, DeviceObj)
    External (\_PR_.CPU3, DeviceObj)
    External (\_PR_.CPU4, DeviceObj)
    External (\_PR_.CPU5, DeviceObj)
    External (\_PR_.CPU6, DeviceObj)
    External (\_PR_.CPU7, DeviceObj)
    External (\_PR_.CPU8, DeviceObj)
    External (\_PR_.CPU9, DeviceObj)
    External (\_PR_.CPUA, DeviceObj)
    External (\_PR_.CPUB, DeviceObj)

    Scope (\_PR_.CPU0)
    {
        Method (_INI, 0, NotSerialized)
        {
            Store ("ssdtPRGen version.....: 21.5 / Mac OS X 10.14.4 (18E220a)", Debug)
            Store ("custom mode...........: 0", Debug)
            Store ("host processor........: Intel(R) Xeon(R) CPU X5675 @ 3.07GHz", Debug)
            Store ("target processor......: X5675", Debug)
            Store ("number of processors..: 1", Debug)
            Store ("baseFrequency.........: 1600", Debug)
            Store ("frequency.............: 3060", Debug)
            Store ("busFrequency..........: 133", Debug)
            Store ("logicalCPUs...........: 12", Debug)
            Store ("maximum TDP...........: 95", Debug)
            Store ("packageLength.........: 14", Debug)
            Store ("turboStates...........: 3", Debug)
            Store ("maxTurboFrequency.....: 3460", Debug)
            Store ("machdep.xcpm.mode.....: 0", Debug)
        }

        Name (APLF, Zero)
        Name (APSN, 0x03)
        Name (APSS, Package ()
        {
            /* High Frequency Modes (turbo) */
            Package (0x06) { 0x0D84, 0x017318, 0x0A, 0x0A, 0x001A, 0x001A },
            Package (0x06) { 0x0D05, 0x017318, 0x0A, 0x0A, 0x0019, 0x0019 },
            Package (0x06) { 0x0C80, 0x017318, 0x0A, 0x0A, 0x0018, 0x0018 },
            Package (0x06) { 0x0BFA, 0x017318, 0x0A, 0x0A, 0x0017, 0x0017 },
            Package (0x06) { 0x0B75, 0x012DB6, 0x0A, 0x0A, 0x0016, 0x0016 },
            Package (0x06) { 0x0AF0, 0x010E87, 0x0A, 0x0A, 0x0015, 0x0015 },
            Package (0x06) { 0x0A6A, 0x00F191, 0x0A, 0x0A, 0x0014, 0x0014 },
            Package (0x06) { 0x09E5, 0x00BE00, 0x0A, 0x0A, 0x0013, 0x0013 },
            Package (0x06) { 0x0960, 0x00A739, 0x0A, 0x0A, 0x0012, 0x0012 },
            Package (0x06) { 0x08DB, 0x009259, 0x0A, 0x0A, 0x0011, 0x0011 },
            Package (0x06) { 0x0855, 0x006DF4, 0x0A, 0x0A, 0x0010, 0x0010 },
            Package (0x06) { 0x07D0, 0x005E45, 0x0A, 0x0A, 0x000F, 0x000F },
            Package (0x06) { 0x074B, 0x005028, 0x0A, 0x0A, 0x000E, 0x000E },
            Package (0x06) { 0x06C5, 0x00384B, 0x0A, 0x0A, 0x000D, 0x000D },
            /* Low Frequency Mode */
            Package (0x06) { 0x0640, 0x002E63, 0x0A, 0x0A, 0x000C, 0x000C }
        })

        Method (ACST, 0, NotSerialized)
        {
            Store ("Method _PR_.CPU0.ACST Called", Debug)
            Store ("CPU0 C-States    : 13", Debug)

            /* Low Power Modes for CPU0 */
            Return (Package (0x05)
            {
                One,
                0x03,
                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW,
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000000, // Address
                            0x01,               // Access Size
                            )
                    },
                    One,
                    Zero,
                    0x03E8
                },

                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW,
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000010, // Address
                            0x03,               // Access Size
                            )
                    },
                    0x03,
                    0xCD,
                    0x01F4
                },

                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW,
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000020, // Address
                            0x03,               // Access Size
                            )
                    },
                    0x06,
                    0xF5,
                    0x015E
                }
            })
        }
    }

    Scope (\_PR_.CPU1)
    {
        Method (APSS, 0, NotSerialized)
        {
            Store ("Method _PR_.CPU1.APSS Called", Debug)

            Return (\_PR_.CPU0.APSS)
        }
    }

    Scope (\_PR_.CPU2)
    {
        Method (APSS, 0, NotSerialized)
        {
            Store ("Method _PR_.CPU2.APSS Called", Debug)

            Return (\_PR_.CPU0.APSS)
        }
    }

    Scope (\_PR_.CPU3)
    {
        Method (APSS, 0, NotSerialized)
        {
            Store ("Method _PR_.CPU3.APSS Called", Debug)

            Return (\_PR_.CPU0.APSS)
        }
    }

    Scope (\_PR_.CPU4)
    {
        Method (APSS, 0, NotSerialized)
        {
            Store ("Method _PR_.CPU4.APSS Called", Debug)

            Return (\_PR_.CPU0.APSS)
        }
    }

    Scope (\_PR_.CPU5)
    {
        Method (APSS, 0, NotSerialized)
        {
            Store ("Method _PR_.CPU5.APSS Called", Debug)

            Return (\_PR_.CPU0.APSS)
        }
    }

    Scope (\_PR_.CPU6)
    {
        Method (APSS, 0, NotSerialized)
        {
            Store ("Method _PR_.CPU6.APSS Called", Debug)

            Return (\_PR_.CPU0.APSS)
        }
    }

    Scope (\_PR_.CPU7)
    {
        Method (APSS, 0, NotSerialized)
        {
            Store ("Method _PR_.CPU7.APSS Called", Debug)

            Return (\_PR_.CPU0.APSS)
        }
    }

    Scope (\_PR_.CPU8)
    {
        Method (APSS, 0, NotSerialized)
        {
            Store ("Method _PR_.CPU8.APSS Called", Debug)

            Return (\_PR_.CPU0.APSS)
        }
    }

    Scope (\_PR_.CPU9)
    {
        Method (APSS, 0, NotSerialized)
        {
            Store ("Method _PR_.CPU9.APSS Called", Debug)

            Return (\_PR_.CPU0.APSS)
        }
    }

    Scope (\_PR_.CPUA)
    {
        Method (APSS, 0, NotSerialized)
        {
            Store ("Method _PR_.CPUA.APSS Called", Debug)

            Return (\_PR_.CPU0.APSS)
        }
    }

    Scope (\_PR_.CPUB)
    {
        Method (APSS, 0, NotSerialized)
        {
            Store ("Method _PR_.CPUB.APSS Called", Debug)

            Return (\_PR_.CPU0.APSS)
        }
    }
}
